import { Dom } from '@qualweb/dom';
import puppeteer from 'puppeteer';
import { Evaluation } from '../dist/index';

describe('QualWeb page', function() {
  it('Testing qualweb page evaluation', async function() {
    this.timeout(30*1000);

    const url = 'https://www.ulisboa.pt';

    const browser = await puppeteer.launch({headless: true});
    const dom = new Dom();
    const { sourceHtml, page ,validation} = await dom.getDOM(browser, {}, url);
    const evaluation = new Evaluation();
    const evaluationReport = await evaluation.evaluatePage(sourceHtml, page, { act: true,  wcag: false, bp: false }, {'act-rules': ['QW-ACT-R72']}, url,validation);
    //console.log(evaluationReport);
    await dom.close();
    await browser.close();

    //console.log(evaluationReport);
    //console.log(evaluationReport.modules['act-rules'].metadata);
    console.log(evaluationReport.modules['act-rules'].assertions['QW-ACT-R45']);
    console.log(evaluationReport.modules['act-rules'].assertions['QW-ACT-R45'].results[0].elements);
  });
});

//http://www.apce.org.pt/
//http://www.cm-caldas-rainha.pt/